Token payroll
Validate Wallet Verification
Checks contributors have verified wallets for a payroll, or for a contractor invoice month.
GEThttps://api.toku.com/stablecoin-payroll/validate-wallet-verification
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/validate-wallet-verification' \
--header 'Authorization: Bearer <token>'200 response
{
"validations": [
{
"roleInOrgID": "string",
"employeeName": "string",
"hasVerifiedWallets": true,
"missingTokenTypes": [
"string"
],
"verifiedTokenTypes": [
"string"
]
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
tokenPayrollIDstringcontractorInvoiceMonthstringResponse
200Successful response
validationsobject[]requiredShow child attributes
roleInOrgIDstringrequiredemployeeNamestringrequiredhasVerifiedWalletsbooleanrequiredmissingTokenTypesstring[]requiredverifiedTokenTypesstring[]required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits